Bug 178124 - [PATCH] databases/redis: Update to 2.6.12
[PATCH] databases/redis: Update to 2.6.12
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey A. Osokin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-25 06:40 UTC by koobs.freebsd
Modified: 2013-05-04 08:27 UTC (History)
1 user (show)

See Also:


Attachments
redis-2.6.12.patch (1.59 KB, patch)
2013-04-25 06:40 UTC, koobs.freebsd
no flags Details | Diff
25-redis-2.6.13.patch (945 bytes, patch)
2013-04-30 15:23 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2013-04-25 06:40:00 UTC
- Update to 2.6.12
- Replace test: target with regression-test:

<ChangeLog>
UPGRADE URGENCY: MODERATE, nothing very critical but a few non trivial bugs.

* [BUGFIX]   redis-cli --bigkeys: don't crash with empty DB.
* [BUGFIX]   stop-writes-on-bgsave-error now works in redis.conf
* [BUGFIX]   Don't crash at startup if RDB is there but can't be opened.
* [BUGFIX]   Initial value for master_link_down_since_seconds is now huge.
* [BUGFIX]   Allow SELECT while loading the DB.
* [BUGFIX]   Don't replicate/AOF an empty MULTI/EXEC if the transaction
             is empty or containing just read-only commands.
* [BUGFIX]   EXPIRE should not be able to resurrect keys (see issue #1026).
* [IMPROVED] Extended SET back ported from Redis 2.8 / unstable
             See http://redis.io/commands/set for more information.
* [IMPROVED] Test suite improved.

https://raw.github.com/antirez/redis/2.6/00-RELEASENOTES
</Changelog>

<QA>
portlint: WARN: Makefile: LIB_DEPENDS don't specify the ABI version number
porttest: OK (GCC & Clang)
testport: OK (poudriere, all versions/archs)
unittest: \o/ All tests passed without errors!
</QA>

Port maintainer (osa@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-04-25 06:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 koobs.freebsd 2013-04-30 15:23:06 UTC
Updated patch for freshly released 2.6.13 stable version:

---------------------------------------
databases/redis: Update to 2.6.13

- Replace test: target with regression-test:

<ChangeLog>

UPGRADE URGENCY: MODERATE

Nothing very critical but upgrading is suggested if you experienced:

   1) Strange issues with Lua scripting.
   2) Not reconfigured reappearing master using Sentinel.
   3) Server continuously trying to save on save error.

   This version of Redis may also help with AOF and slow / busy
   disks and latency issues.

* [FIX] Throttle BGSAVE attempt on saving error.
* [FIX] redis-cli: raise error on bad command line switch.
* [FIX] Redis/Jemalloc Gitignore were too aggressive.
* [FIX] Test: fix RDB test checking file permissions.
* [FIX] Sentinel: always redirect on master->slave transition.
* [FIX] Lua updated to version 5.1.5. Fixes rare scripting issues.
* [NEW] AOF: improved latency figures with slow/busy disks.
* [NEW] Sentinel: turn old master into a slave when it comes back.
* [NEW] More explicit panic message on out of memory.
* [NEW] redis-cli: --latency-history mode implemented.

Full Changelog: https://raw.github.com/antirez/redis/2.6/00-RELEASENOTES

</ChangeLog>
---------------------------------------

<QA>

portlint: WARN: LIB_DEPENDS don't specify the ABI version number
porttest: OK (stable/9 amd64 clang)
testport: OK (poudriere, all versions/archs)
unittest: \o/ All tests passed without errors!

</QA>
Comment 3 dfilter freebsd_committer 2013-05-03 18:38:33 UTC
Author: osa
Date: Fri May  3 17:38:24 2013
New Revision: 317224
URL: http://svnweb.freebsd.org/changeset/ports/317224

Log:
  Update from 2.6.11 to 2.6.13.
  
  PR:	178124
  
  <ChangeLog>
  
  [ Redis 2.6.13 ]
  
  UPGRADE URGENCY: MODERATE, nothing very critical but upgrading
  is suggested if you experienced:
  
  1) Strange issues with Lua scripting.
  2) Not reconfigured reappearing master using Sentinel.
  3) Server continusly trying to save on save error.
  
  This version of Redis may also help with AOF and slow / busy
  disks and latency issues.
  
  * [FIX] Throttle BGSAVE attempt on saving error.
  * [FIX] redis-cli: raise error on bad command line switch.
  * [FIX] Redis/Jemalloc Gitignore were too aggressive.
  * [FIX] Test: fix RDB test checking file permissions.
  * [FIX] Sentinel: always redirect on master->slave transition.
  * [FIX] Lua updated to version 5.1.5. Fixes rare scripting issues.
  * [NEW] AOF: improved latency figures with slow/busy disks.
  * [NEW] Sentinel: turn old master into a slave when it comes back.
  * [NEW] More explicit panic message on out of memory.
  * [NEW] redis-cli: --latency-history mode implemented.
  
  [ Redis 2.6.12 ]
  
  UPGRADE URGENCY: MODERATE, nothing very critical but a few non trivial bugs.
  
  * [BUGFIX]   redis-cli --bigkeys: don't crash with empty DB.
  * [BUGFIX]   stop-writes-on-bgsave-error now works in redis.conf
  * [BUGFIX]   Don't crash at startup if RDB is there but can't be opened.
  * [BUGFIX]   Initial value for master_link_down_since_seconds is now huge.
  * [BUGFIX]   Allow SELECT while loading the DB.
  * [BUGFIX]   Don't replicate/AOF an empty MULTI/EXEC if the transaction
               is empty or containing just read-only commands.
  * [BUGFIX]   EXPIRE should not be able to resurrect keys (see issue #1026).
  * [IMPROVED] Extended SET back ported from Redis 2.8 / unstable
               See http://redis.io/commands/set for more information.
  * [IMPROVED] Test suite improved.
  
  </ChangeLog>

Modified:
  head/databases/redis-devel/Makefile
  head/databases/redis-devel/distinfo
  head/databases/redis/Makefile
  head/databases/redis/distinfo

Modified: head/databases/redis-devel/Makefile
==============================================================================
--- head/databases/redis-devel/Makefile	Fri May  3 17:37:13 2013	(r317223)
+++ head/databases/redis-devel/Makefile	Fri May  3 17:38:24 2013	(r317224)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	redis
-DISTVERSION=	2.6.11
+DISTVERSION=	2.6.13
 CATEGORIES=	databases
 MASTER_SITES=	GOOGLE_CODE
 PKGNAMESUFFIX=	-devel
@@ -83,9 +83,7 @@ post-install:
 	[ -d ${d} ] || ${MKDIR} ${d} && ${CHOWN} ${USERS}:${GROUPS} ${d}
 .endfor
 
-test: build
+regression-test: build
 	@cd ${WRKSRC} && ${TCLSH} tests/test_helper.tcl
 
-regression-test: test
-
 .include <bsd.port.mk>

Modified: head/databases/redis-devel/distinfo
==============================================================================
--- head/databases/redis-devel/distinfo	Fri May  3 17:37:13 2013	(r317223)
+++ head/databases/redis-devel/distinfo	Fri May  3 17:38:24 2013	(r317224)
@@ -1,2 +1,2 @@
-SHA256 (redis-2.6.11.tar.gz) = b0644669849a130659cf8dd48965cf116e4fe64a5bb86a239ea078d7464b6968
-SIZE (redis-2.6.11.tar.gz) = 993744
+SHA256 (redis-2.6.13.tar.gz) = 3b9439636c58ca06bee538a0f7298e02a33fcf98b8fa845c0b0cf8567751e948
+SIZE (redis-2.6.13.tar.gz) = 994331

Modified: head/databases/redis/Makefile
==============================================================================
--- head/databases/redis/Makefile	Fri May  3 17:37:13 2013	(r317223)
+++ head/databases/redis/Makefile	Fri May  3 17:38:24 2013	(r317224)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	redis
-DISTVERSION=	2.6.11
+DISTVERSION=	2.6.13
 CATEGORIES=	databases
 MASTER_SITES=	GOOGLE_CODE
 
@@ -82,9 +82,7 @@ post-install:
 	[ -d ${d} ] || ${MKDIR} ${d} && ${CHOWN} ${USERS}:${GROUPS} ${d}
 .endfor
 
-test: build
+regression-test: build
 	@cd ${WRKSRC} && ${TCLSH} tests/test_helper.tcl
 
-regression-test: test
-
 .include <bsd.port.mk>

Modified: head/databases/redis/distinfo
==============================================================================
--- head/databases/redis/distinfo	Fri May  3 17:37:13 2013	(r317223)
+++ head/databases/redis/distinfo	Fri May  3 17:38:24 2013	(r317224)
@@ -1,2 +1,2 @@
-SHA256 (redis-2.6.11.tar.gz) = b0644669849a130659cf8dd48965cf116e4fe64a5bb86a239ea078d7464b6968
-SIZE (redis-2.6.11.tar.gz) = 993744
+SHA256 (redis-2.6.13.tar.gz) = 3b9439636c58ca06bee538a0f7298e02a33fcf98b8fa845c0b0cf8567751e948
+SIZE (redis-2.6.13.tar.gz) = 994331
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sergey A. Osokin freebsd_committer 2013-05-04 08:27:32 UTC
State Changed
From-To: open->closed

Update to 2.6.13 committed, thanks!